<nz-spin [nzSpinning]="loading">
  <app-main-layout title="Mes animations">
    <nz-list nzGrid>
      <nz-divider nzText="Les animations à venir"></nz-divider>
      <div nz-row>
        <div nz-col [nzSpan]="24" *ngFor="let fullEvent of fullEvents">
          <nz-list-item *ngIf="fullEvent.event.state !== 'done' && fullEvent?.event?.published">
            <nz-card nzHoverable [nzTitle]="fullEvent | eventFullName">
              <p nz-paragraph>
                Le {{fullEvent?.event.startDate?.toDate() | date:'dd/MM/yyyy à HH:mm'}}
              </p>
              <app-seats-displayer [fullEvent]="fullEvent"></app-seats-displayer>
              <nz-button-group>
                <button nz-button nzType="default" nzSize="small" type="button"
                        [routerLink]="['/events', fullEvent.event.uid]">Voir
                </button>
                <a nz-button nzType="primary" nzSize="small" type="button"
                        [href]="fullEvent?.event?.link" target="_blank">Rejoindre
                </a>
              </nz-button-group>
            </nz-card>
          </nz-list-item>
        </div>
      </div>
      <nz-divider nzText="Les animations déjà réalisées"></nz-divider>
      <div nz-row>
        <div nz-col [nzSpan]="24" *ngFor="let fullEvent of fullEvents">
          <nz-list-item *ngIf="fullEvent.event.state === 'done'">
            <nz-card nzHoverable [nzTitle]="fullEvent | eventFullName">
              <p nz-paragraph>
                Le {{fullEvent?.event.startDate?.toDate() | date:'dd/MM/yyyy à HH:mm'}}
              </p>
              <app-seats-displayer [fullEvent]="fullEvent"></app-seats-displayer>
              <nz-button-group>
                <button nz-button nzType="default" nzSize="small" type="button"
                        [routerLink]="['/events', fullEvent.event.uid]">Voir
                </button>
              </nz-button-group>
            </nz-card>
          </nz-list-item>
        </div>
      </div>
    </nz-list>
  </app-main-layout>
</nz-spin>
